package com.hrsk.cloud.eg.app.api;
import com.hrsk.cloud.eg.app.business.ApiRouteService;
import com.hrsk.cloud.eg.dto.data.CheckIntoParamDto;
import com.hrsk.cloud.eg.vo.response.DataVo;
import com.hrsk.cloud.eg.vo.response.DefaultResponseVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author: bianlanzhou
 * @create: 2024-08-02 10:57
 * @description: 保存api
 **/
@RestController
@RequestMapping("/api/checkInto")
public class ApiCheckIntoServiceImpl {

    @Resource
    private ApiRouteService  apiRouteService;


    /**
     * @description:  撞库接口
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/8/30 14:34
     */
    @RequestMapping("/loans/v1")
    public DefaultResponseVo<DataVo> checkInto(@RequestBody CheckIntoParamDto paramDto) {
        DataVo dataVo = apiRouteService.loanCheckInto(paramDto);
        return DefaultResponseVo.success(dataVo);
    }


}
