package com.hrsk.cloud.eg.app.threedocking;

import com.hrsk.cloud.eg.app.constant.ServerCodeEnums;
import com.hrsk.cloud.eg.dto.data.egPlan.PlanDto;
import com.hrsk.cloud.eg.dto.data.user.UserBaseInfoDto;
import com.hrsk.cloud.eg.vo.response.DataVo;

/**
 * @author zhangyy
 * @version 1.0
 * @description: dockingApi 三方助贷对接
 * @date 2024/9/10 14:31
 */
public interface LoanDockingApi {

    /**
     * @description:  撞库接口
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/9/10 14:33
     */
    DataVo qualityCheck(UserBaseInfoDto user, PlanDto planDto);


    /**
     * @description: 对接类型
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/9/10 14:33
     */
    ServerCodeEnums getType();

}
